Page MenuHomePhabricator

Add Structured Commons support to Commons Android app
Closed, ResolvedPublic

Description

About

The Commons Android app allows users to upload pictures from their Android phone/tablet to Wikimedia Commons. Commons is not only the image repository for Wikipedia, but an independent project that seeks to document the world with photos, videos and recordings.

Project

Structured Commons is really important for us because it allows our app to be truly multilingual.

Task description: https://github.com/commons-app/apps-android-commons/issues/2415

The Android Commons app is moving towards Test-Driven Development (TDD), so make sure to allocate adequate time for writing unit test cases for the changes you make. UI tests are not required. :)

Subtasks

Submit captions to Structured Data

Now that Structured Data on Commons (a.k.a. "Captions" or "WikibaseMediaInfo") is deployed, it would be nice to submit captions as structured data.

Description: https://github.com/commons-app/apps-android-commons/issues/2297

Show caption in media details

Media details is the screen that shows a document's metadata such as description and date. Simply add the caption to that screen, localized in the user's language.

Description: https://github.com/commons-app/apps-android-commons/issues/2337

Show caption instead of filename in Contributions and Explore

Caption from Structured Commons, localized in the user's language. Fall back to the filename if no caption is available.

Description: https://github.com/commons-app/apps-android-commons/issues/2525

Structured Commons "depicts" property

Describe uploaded pictures with "depicts" statements linking to Wikidata. If time allows, also let users search by "depicts" statements.

Description: https://github.com/commons-app/apps-android-commons/issues/2097

Skills required

  • Android SDK
  • Android UI design
  • Understanding of RxJava
  • Basic knowledge of Wikimedia APIs
  • Unit testing

Nice to have skills

  • Familiarity with Kotlin

Mentor(s)

@Ashishkumar468 and @Nicolas_Raoul

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2019, 5:22 PM
maskaravivek updated the task description. (Show Details)Feb 27 2019, 5:28 PM
maskaravivek updated the task description. (Show Details)Feb 27 2019, 6:00 PM
maskaravivek updated the task description. (Show Details)Feb 27 2019, 8:11 PM
Nicolas_Raoul renamed this task from Add structured commons support in Commons Android app to Add Structured Commons support to Commons Android app.Feb 28 2019, 1:32 AM
Nicolas_Raoul updated the task description. (Show Details)
Nicolas_Raoul awarded a token.
maskaravivek updated the task description. (Show Details)Mar 4 2019, 5:36 AM
maskaravivek added a subscriber: Ashishkumar468.
SandraF_WMF added a project: SDC General.
Restricted Application added a project: Wikidata. · View Herald TranscriptMar 7 2019, 5:56 PM

Is there anything remaining in this task from GSoC'19? If not, then please consider marking it as resolved! If yes, and would need another GSoC or volunteer help then consider creating a new task with the leftover items. Thanks!

Nicolas_Raoul closed this task as Resolved.Sep 4 2019, 1:27 AM
Nicolas_Raoul claimed this task.

Implemented and successfully tested, not merged yet because of ongoing work on a library.